Bug 460921 - docbook2man-spec.pl has some missing entries
docbook2man-spec.pl has some missing entries
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: docbook-utils (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-02 13:25 EDT by Devrim GUNDUZ
Modified: 2008-09-11 12:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-11 12:58:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for docbook2man-spec.pl (687 bytes, application/octet-stream)
2008-09-02 13:25 EDT, Devrim GUNDUZ
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 275715 None None None Never

  None (edit)
Description Devrim GUNDUZ 2008-09-02 13:25:06 EDT
Created attachment 315573 [details]
Patch for docbook2man-spec.pl

Description of problem:


While trying to build PostgreSQL man pages, I had an issue:

$ make man.tar.gz D2MDIR=/usr/share/sgml/docbook/utils-0.6.14/helpers/
make -C sgml man
make[1]: Entering directory `/home/devrim/PostgreSQL/pgsql/doc/src/sgml'
onsgmls  -D . postgres.sgml | sgmlspl /usr/share/sgml/docbook/utils-0.6.14/helpers//docbook2man-spec.pl --lowercase --section l --date "`date '+%Y-%m-%d'`"
Unknown SDATA: [mdash ] at /usr/share/sgml/docbook/utils-0.6.14/helpers//docbook2man-spec.pl line 1241, <STDIN> line 11975.
make[1]: *** [man] Error 9
make[1]: Leaving directory `/home/devrim/PostgreSQL/pgsql/doc/src/sgml'
make: *** [man.tar] Error 2


If I add the attached patch, I can pass this error (We have another error, but I will create another bug for that)

Version-Release number of selected component (if applicable):
0.6.14-13.fc9

How reproducible:

Always

Steps to Reproduce:
1. Download PostgreSQL CVS Tip (or any stable version)
2. ./configure ;  cd doc/src
3.  make man.tar.gz D2MDIR=/usr/share/sgml/docbook/utils-0.6.14/helpers/

  
Actual results:

See above.

Expected results:

Build the man pages cleanly

Additional info:

http://archives.postgresql.org/message-id/20080821130203.GN4169%40alvh.no-ip.org
Comment 1 Devrim GUNDUZ 2008-09-02 14:54:28 EDT
Ok, here is a good version:

http://switch.dl.sourceforge.net/sourceforge/docbook2x/docbook2man-sgmlspl-1.0.tar.gz

It is a 6-year old software. Please let's use this version in Fedora.
Comment 2 Ondrej Vasik 2008-09-10 08:11:23 EDT
Docbook2X is slightly different project, but you are right that the output of this "new" version of docbook2man-spec.pl is better and it recognizes more sdata. I did an update in Rawhide to use the new docbook2man-spec.pl (as both projects are actually (almost) dead without updates for years). In F-9 I will do just an update of sdata to prevent possible regressions in already released fedora. Built as docbook-utils-0.6.14-14.fc9 and docbook-utils-0.6.14-14.fc10.
Comment 3 Fedora Update System 2008-09-10 08:15:07 EDT
docbook-utils-0.6.14-14.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/docbook-utils-0.6.14-14.fc9
Comment 4 Fedora Update System 2008-09-11 12:58:22 EDT
docbook-utils-0.6.14-14.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.